This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PShape
Name | ### setVisible()
Examples |
    PShape s;

    void setup() {
      size(100, 100);
      // The file "bot.svg" must be in the data folder
      // of the current sketch to load successfully
      s = loadShape("bot.svg");
    }
    void draw() {
      background(204);
      shape(s, 10, 10, 80, 80);  // Draw shape
      s.setVisible(mousePressed);
      if (s.isVisible() == false) {  // Or use: "if (!s.isVisible)"
        noFill();
        rect(10, 10, 80, 80);
      }
    }
Description | Sets the shape to be visible or invisible. This is determined by the value of the visible parameter. The default visibility of a shape is usually controlled by whatever program created the SVG file. For instance, this parameter is controlled by showing or hiding the shape in the layers palette in Adobe Illustrator.
Syntax |
    sh.setVisible(visible)
Parameters |
sh | PShape: any variable of type PShape
visible | boolean: "false" makes the shape invisible and "true" makes it visible
Returns | void
Related | isVisible()

Updated on October 26, 2013 08:58:33pm PDT